clear all; close all; clc

addpath('apm')
s = 'http://byu.apmonitor.com';
a = 'optimization';

apm(s,a,'clear all');
apm_load(s,a,'periodic_opt.apm');
csv_load(s,a,'time.csv');

apm_option(s,a,'nlc.imode',6);
apm_option(s,a,'nlc.reqctrlmode',3);
apm_option(s,a,'nlc.solver',1);
apm_option(s,a,'nlc.cv_type',1);
apm_option(s,a,'nlc.max_iter',300);
apm_option(s,a,'nlc.nodes',4);
% 
apm_info(s,a,'FV','p');
apm_option(s,a,'p.status',1);
apm_info(s,a,'SV','stored');
apm_info(s,a,'SV','recovery');
apm_info(s,a,'SV','vx');
apm_info(s,a,'SV','vy');
output = apm(s,a,'solve');
disp(output)

y = apm_sol(s,a);
z = y.x;

figure(1)
subplot(4,1,1)
plot(z.time,z.stored,'r-')
hold on
grid on
plot(z.time,z.recovery,'b-.')
legend('stored','recovery','Location','Best')

subplot(4,1,2)
plot(z.time,z.d,'k-')
hold on
grid on
plot(z.time,z.p,'r--')
legend('Demand','Production','Location','Best')

subplot(4,1,3)
plot(z.time,z.s,'g-')
legend('Storage')
grid on
xlabel('Time (hr)')

subplot(4,1,4)
plot(z.time,z.vx,'g-')
hold on
grid on
plot(z.time,z.vy,'r--')
legend('vx','vy')
grid on
xlabel('Time (hr)')
saveas(figure(1),'optimization','png')
apm_web_var(s,a);
